Name:		libfwsi
Version:	20150701
Release:	1%{?dist}
Summary:	Library to access the Windows Shell Item format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
%if 0%{?centos} == 5
Patch1:		%{name}-%{version}-patch-001
%endif
URL:		https://github.com/libyal/libfwsi/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
          
          

%description
libfwsi is a library to access the Windows Shell Item format

%package devel
Summary:	Header files and libraries for developing applications for libfwsi
Group:		Development/Libraries
Requires:	libfwsi = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libfwsi.

%package python
Summary:	Python bindings for libfwsi
Group:		System Environment/Libraries
Requires:	libfwsi = %{version}-%{release} %(basename %{__python})
BuildRequires:	%(basename %{__python})-devel

%description python
Python bindings for libfwsi

%prep
%setup -q
%if 0%{?centos} == 5
%patch1 -p1
%endif

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%if 0%{?centos} == 5
make %{?_smp_mflags} CFLAGS=-std=gnu99
%else
make %{?_smp_mflags}
%endif

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfwsi.pc
%{_includedir}/*
%{_mandir}/man3/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python*/site-packages/*.a
%{_libdir}/python*/site-packages/*.la
%{_libdir}/python*/site-packages/*.so

%changelog
* Wed Jul  1 2015 Lawrence R. Rogers <lrr@cert.org> 20150701-2
- Release 20150701-2
	Version 20150701

* Tue Jun  2 2015 Lawrence R. Rogers <lrr@cert.org> 20141116-2
- Release 20141116-2
	Libuna GCC-5 Patch

* Sun Nov 16 2014 Lawrence R. Rogers <lrr@cert.org> 20141116-1
- Release 20141116-1
	Initial release. See https://github.com/libyal/libfwsi/wiki for details.

